Bug 238934 - up2date-4.5.5-6.el4: repomd fails with type errors.
up2date-4.5.5-6.el4: repomd fails with type errors.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.5
All Linux
medium Severity high
: ---
: ---
Assigned To: Pradeep Kilambi
Beth Nackashi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-03 18:54 EDT by Aleksey Nogin
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2007-0815
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:34:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/up2date (7.48 KB, text/plain)
2007-05-22 12:28 EDT, Aleksey Nogin
no flags Details

  None (edit)
Description Aleksey Nogin 2007-05-03 18:54:24 EDT
After upgrading to up2date-4.5.5-5.el4, up2date fails with 

An error has occurred:
exceptions.TypeError
See /var/log/up2date for more informatio

that only goes away if I comment out the repomd line in my
/etc/sysconfig/rhn/sources.

Debugging with pdb revealed that the error happens in the call to
listAllPackages on line 240 of /usr/share/rhn/up2date_client/rpmSource.py. Namely:

> /usr/share/rhn/up2date_client/rpmSource.py(239)listAllPackages()
-> source = self.metainfo[source_key]
(Pdb) p source_key
'repomd'
(Pdb) p source
<up2date_client.rpmSource.DiskCache instance at 0xb77aa20c>
(Pdb) n
> /usr/share/rhn/up2date_client/rpmSource.py(240)listAllPackages()
-> packageList = source.listAllPackages(channel,
(Pdb) p source
<up2date_client.repoBackends.repomdRepo.RepomdDiskCache instance at 0xb77aa2cc>
(Pdb) s
> /usr/share/rhn/up2date_client/rpmSource.py(241)listAllPackages()
-> msgCallback, progressCallback)
(Pdb) s
TypeError: 'listAllPackages() takes exactly 1 argument (4 given)'
> /usr/share/rhn/up2date_client/rpmSource.py(241)listAllPackages()
-> msgCallback, progressCallback)
Comment 1 Todd Sanders 2007-05-22 10:44:36 EDT
Please attach your /etc/sysconfig/rhn/sources file, as well as your
/var/log/up2date log for diagnosis.
Comment 2 Aleksey Nogin 2007-05-22 12:27:37 EDT
(In reply to comment #1)
> Please attach your /etc/sysconfig/rhn/sources file

I see the error with just

up2date default
repomd none none

or

up2date default
repomd atrpms-el4 http://dl.atrpms.net/el4-i386/atrpms/stable

(it does not seem to matter what I put after the "repomd")

> as well as your /var/log/up2date log for diagnosis.

Will do.
Comment 3 Aleksey Nogin 2007-05-22 12:28:08 EDT
Created attachment 155176 [details]
/var/log/up2date
Comment 4 Pradeep Kilambi 2007-07-27 20:03:09 EDT
fixed.. we needed allavailablepackages only for scheduled actions .. should be
fixed now
Comment 8 errata-xmlrpc 2007-11-15 11:34:17 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0815.html

Note You need to log in before you can comment on or make changes to this bug.